#
# spec file for package rubygem-docker-api
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-docker-api
Version:        1.31.0
Release:        11.16
%define mod_name docker-api
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/swipely/docker-api
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
# MANUAL
Patch0:  update_excon_dep.patch
# /MANUAL
Summary:        A simple REST client for the Docker Remote API
License:        MIT
Group:          Development/Languages/Ruby

%description
A simple REST client for the Docker Remote API.

%prep
%gem_unpack
%patch0 -p1
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Sep 21 2016 jmassaguerpla@suse.com
- update requirement of excon to ">=0.46.0" because this is required
  to interact with latest versions of docker which have been built
  with go 1.6
  See Known issues in https://github.com/swipely/docker-api/blob/master/README.md
* Sat Aug 13 2016 coolo@suse.com
- updated to version 1.31.0
  no changelog found
* Sat Jul 30 2016 coolo@suse.com
- updated to version 1.29.2
  no changelog found
* Fri Jul 22 2016 coolo@suse.com
- updated to version 1.29.1
  no changelog found
* Fri Jun 24 2016 coolo@suse.com
- updated to version 1.29.0
  no changelog found
* Wed Apr  6 2016 coolo@suse.com
- updated to version 1.28.0
  no changelog found
* Wed Mar  2 2016 coolo@suse.com
- updated to version 1.26.2
  no changelog found
* Tue Feb 23 2016 coolo@suse.com
- updated to version 1.26.1
  no changelog found
* Mon Jan 25 2016 coolo@suse.com
- updated to version 1.26.0
  no changelog found
* Sat Jan 16 2016 coolo@suse.com
- updated to version 1.25.0
  no changelog found
* Tue Dec  8 2015 coolo@suse.com
- updated to version 1.24.1
  no changelog found
* Sat Dec  5 2015 coolo@suse.com
- updated to version 1.24.0
  no changelog found
* Thu Nov 12 2015 coolo@suse.com
- updated to version 1.23.0
  no changelog found
* Fri Sep  4 2015 coolo@suse.com
- updated to version 1.22.4
  no changelog found
* Wed Aug 26 2015 coolo@suse.com
- updated to version 1.22.3
  no changelog found
* Mon Aug  3 2015 coolo@suse.com
- updated to version 1.22.2
  no changelog found
* Tue Jul 28 2015 coolo@suse.com
- updated to version 1.22.1
  no changelog found
* Fri Jul 17 2015 coolo@suse.com
- updated to version 1.22.0
  no changelog found
* Thu Apr 30 2015 coolo@suse.com
- updated to version 1.21.4
  no changelog found
* Sun Apr 26 2015 coolo@suse.com
- updated to version 1.21.2
  no changelog found
* Sun Apr 19 2015 coolo@suse.com
- updated to version 1.21.1
* Wed Apr  8 2015 coolo@suse.com
- updated to version 1.21.0
* Tue Mar  3 2015 coolo@suse.com
- updated to version 1.20.0
* Fri Feb 13 2015 coolo@suse.com
- updated to version 1.19.0
* Thu Feb 12 2015 coolo@suse.com
- updated to version 1.18.0
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.17.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Tue Sep 23 2014 jreidinger@suse.com
- initial packaging
- 1.13.2
